netatalk: afp_avahi.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_avahi.c File Reference

Avahi based Zeroconf support. More...

`#include <time.h>`
`#include <unistd.h>`
`#include <avahi-common/strlst.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/unicode.h>`
`#include <atalk/util.h>`
`#include "afp_avahi.h"`
`#include "afp_zeroconf.h"`

## Functions
static void | publish_reply (AvahiEntryGroup *g, AvahiEntryGroupState state, void *userdata)
static void | register_stuff (void)
static void | publish_reply (AvahiEntryGroup *g, AvahiEntryGroupState state, AVAHI_GCC_UNUSED void *userdata)
static void | client_callback (AvahiClient *client, AvahiClientState state, void *userdata)
void | av_zeroconf_register (const AFPObj *obj)
int | av_zeroconf_unregister ()
| Tries to shutdown this loop impl.

## Variables
struct context * | ctx = NULL

## Detailed Description

Avahi based Zeroconf support.

Author
  Daniel S. Haischt me@da.nosp@m.niel.nosp@m..stef.nosp@m.an.h.nosp@m.aisch.nosp@m.t.na.nosp@m.me

See also
  https://avahi.org/doxygen/html/

## Function Documentation

## ◆ av_zeroconf_register()

void av_zeroconf_register | ( | const AFPObj * | obj | ) |

Tries to setup the Zeroconf thread and any neccessary config setting.

## ◆ av_zeroconf_unregister()

int av_zeroconf_unregister | ( | void |  | ) |

Tries to shutdown this loop impl.

Note
  Call this function from inside this thread.

## ◆ client_callback()

void client_callback | ( | AvahiClient * | client,
|  | AvahiClientState | state,
|  | void * | userdata )
| static

## ◆ publish_reply() [1/2]

void publish_reply | ( | AvahiEntryGroup * | g,
|  | AvahiEntryGroupState | state,
|  | AVAHI_GCC_UNUSED void * | userdata )
| static

Called when publishing of service data completes

## ◆ publish_reply() [2/2]

void publish_reply | ( | AvahiEntryGroup * | g,
|  | AvahiEntryGroupState | state,
|  | void * | userdata )
| static

## ◆ register_stuff()

void register_stuff | ( | void |  | ) |
| static

This function tries to register the AFP DNS SRV service type.

## Variable Documentation

## ◆ ctx

struct context* ctx = NULL